### Name: intcox.example
### Title: Example set for interval censored data with four covariates
### Aliases: intcox.example
### Keywords: datasets

### ** Examples

## Not run: 
##D sim.weibull.intcox.rfc <-function (N=200,beta.0=0.1,beta.cov=c(0.5,-0.5,0.5,0.5),alpha=0.75,p.cov=c(0.5,0.75),grid=10)
##D {                                                                                                                                               
##D   x.design<-cbind(rbinom(N,1,p.cov[1]),rbinom(N,1,p.cov[2]),runif(N,-1,1),rnorm(N,0,1))
##D   colnames(x.design)<-paste("x.",1:4,sep="")
##D   lambda<-exp(beta.0+x.design%*%matrix(beta.cov,ncol=1))
##D   scale<-(1/lambda)^(1/alpha)
##D   t.true<-rweibull(N,alpha,scale)
##D   T.max<-max(qweibull(0.9,alpha,median(scale)))
##D   t.left<-NULL
##D   t.right<-NULL
##D   for (i in 1:N) {
##D       tt<-unique(c(0,sort(runif(grid,0,T.max)),T.max))
##D       if (t.true[i]>=T.max) {
##D           x.left<-T.max
##D           x.right<-NA
##D       } else {
##D           x.left<-max(tt[t.true[i]>tt])   
##D           x.right<-min(tt[t.true[i]<tt])
##D       }
##D       t.left<-c(t.left,x.left)
##D       t.right<-c(t.right,x.right)
##D   }
##D   return(data.frame(ID=1:N,left=t.left,right=t.right,x.design))
##D }
## End(Not run)

data(intcox.example)



